/******************************************************************************
*
* (c) 2004 by BECK IPC GmbH
*
* BECK IPC GmbH
* Garbenheimerstr. 36-38
* D-35578 Wetzlar
*
* Phone: (49)-6441-905-0
* Fax:   (49)-6441-905-245
*
*******************************************************************************
*
* Disclaimer: This program is an example and should be used as such.
*             If you wish to use this program or parts of it in your application,
*             you must validate the code yourself. BECK IPC GmbH can not be held
*             responsible for the correct functioning or coding of this example.
*
* Module:     watchdog.c
* Function:   Example of using the hardware API with the watchdog.
*
*******************************************************************************
*
* $Header: WATCHDOG.C, 2, 31.03.2004 11:16:09, Andre Pribil$
*
******************************************************************************/


/******************************************************************************
* Includes
******************************************************************************/
#include <stdio.h>
#include <stdlib.h>
#include "clib.h"

/******************************************************************************
* Main
******************************************************************************/
void main (void)
{
  unsigned i;

  printf("\nProgram enables user program mode for watchdog");
  printf("\nand refreshs the watchdog, then reboots");

  hal_set_watchdog_mode(2);

  for (i=0; i<200; i++)
  {
     // refresh the watchdog
     hal_refresh_watchdog();

     RTX_Sleep_Time(100);
  }

  printf("\nNow the system should reboot...");
}

