/****************************************************************************
*
* (C) 2002-2003 by BECK IPC GmbH
*
*  BECK IPC GmbH
*  Garbenheimerstr. 36-38
*  D-35578 Wetzlar
*
*  Phone : (49)-6441-905-0
*  Fax   : (49)-6441-905-245
*
* ---------------------------------------------------------------------------
* MOdule      :   I2C_PRIV.H
* Function    :   Internal information for I2C C Library.
* ---------------------------------------------------------------------------

$Header: I2C_PRIV.H, 3, 11.12.2003 10:28:06, Andre Pribil$

*****************************************************************************/

#ifndef __I2_PRIV_H__
#define __I2_PRIV_H__

#define I2CINT               0xAA

/*************************************************************************/
// I2C Api Services
/*************************************************************************/
#define I2C_INIT             0x80
#define I2C_SCAN             0x81
#define I2C_TRANS_RECV_CHAR  0x82
#define I2C_TRANS_RECV_BLOCK 0x83
#define I2C_RELEASE          0x84
#define I2C_RESTART          0x8B
#define I2C_SELECT_CLK_PIN   0x8E
#define I2C_SELECT_DATA_PIN  0x8F


/*************************************************************************/
#endif /* __I2_PRIV_H__*/
/*************************************************************************/
//end i2c_priv.h
/*************************************************************************/