/******************************************************************************
*
* (c) 2004 by BECK IPC GmbH
*
* BECK IPC GmbH
* Garbenheimerstr. 36-38
* D-35578 Wetzlar
*
* Phone: (49)-6441-905-0
* Fax:   (49)-6441-905-245
*
*******************************************************************************
*
* Module:    httpcli.h
* Function:  Prototypes for httpcli.c
*
*******************************************************************************
*
* $Header: httpcli.h, 1, 01.04.2004 16:20:15, Markus Bartat$
*
******************************************************************************/
#ifndef _HTTP_CLI_H__
#define _HTTP_CLI_H__
//------------------------------------------------------------------------------
#define MAX_HTTP_REQ_BUFLEN  1024


//ErrorCode constants
#define HTTP_REQ_OK             0
#define HTTP_INVALID_REQ       -1     //Invalid request format
#define HTTP_DNS_FAILED        -2     //dns req. failed


//prototype
int httpGet( char *request_line,
             char *result,     // pointer to buffer where to store the result
             int maxlen,       // length of the buffer
             char *dns);       // IP-Addr. string of dns to use for resolving the hostname );
//------------------------------------------------------------------------------
#endif

